---
updatedAt: 2026-07-22T07:25:39.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# GET MyJFrog Usage Data

Returns a CSV file containing usage data for the subscription over a specified time period. 
You can define data filters and output settings for the exported report.

Related Documentation: This API parallels the filtering and reporting features of the MyJFrog portal's [Usage Explorer tab](/docs/manage-your-cloud-usage).

Security: Requires a valid token

**Subscription:** This feature is supported on the Cloud (SaaS) platform for all licenses.

## Filter and Group Keys

The following keys are valid for the optional filter_by and group_by parameters:
- action: Valid values are upload or download
- artifact_path: you can group data in blocks of 32 days or more
- ip: you can group data in blocks of 32 days or more
- package_type
- project
- repo_type (repository type)
- repository
- server_name
- service
- username

## Rate Limiting

This API request can generate significant processing loads. To retrieve a large data set, define a series of API requests with date ranges or filters.

The following limits are imposed on consecutive submissions of this request:

IP-based limits:
- 10 requests within 10 minutes
- 20 requests per hour

Token-based limits:
- 5 requests within 5 minutes
- 10 requests per hour

**Note:** Rate limits may vary from these defaults in response to network conditions and service priorities.

## Response

The response payload contains a CSV file named `JFrog-data-transfer-YYYYMMDD-yyyymmdd.csv`
where YYYYMMDD is the value of start_date and yyyymmdd is the value of non_inclusive_end_date.
All timestamps in the CSV file are UTC.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - MyJFrog Portal API",
    "description": "MyJFrog Portal REST APIs for managing JFrog Cloud platform resources.\n\nThe MyJFrog Portal REST APIs provide a set of interfaces for interacting with the MyJFrog Portal.\nThese APIs provide interfaces for managing cloud NAT IPs, regions, servers, IP allowlists, \ncustom domain names, and private link connections.\n\n**Authentication:**\n- Access Tokens as bearer token in authorization header (Authorization: Bearer <token>)\n\n**Note:** Only a Primary Admin can generate MyJFrog tokens. For more information, see Generate a Token in MyJFrog.\n\n**Subscription:** This feature is supported on the Cloud (SaaS) platform, with an Enterprise X or Enterprise+ license.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://my.jfrog.com"
    }
  ],
  "tags": [
    {
      "name": "Platform Info",
      "description": "Platform cloud information APIs"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/api/usage/v1/export/{scenario}": {
      "get": {
        "tags": [
          "Platform Info"
        ],
        "summary": "GET MyJFrog Usage Data",
        "description": "Returns a CSV file containing usage data for the subscription over a specified time period. \nYou can define data filters and output settings for the exported report.\n\nRelated Documentation: This API parallels the filtering and reporting features of the MyJFrog portal's [Usage Explorer tab](/docs/manage-your-cloud-usage).\n\nSecurity: Requires a valid token\n\n**Subscription:** This feature is supported on the Cloud (SaaS) platform for all licenses.\n\n## Filter and Group Keys\n\nThe following keys are valid for the optional filter_by and group_by parameters:\n- action: Valid values are upload or download\n- artifact_path: you can group data in blocks of 32 days or more\n- ip: you can group data in blocks of 32 days or more\n- package_type\n- project\n- repo_type (repository type)\n- repository\n- server_name\n- service\n- username\n\n## Rate Limiting\n\nThis API request can generate significant processing loads. To retrieve a large data set, define a series of API requests with date ranges or filters.\n\nThe following limits are imposed on consecutive submissions of this request:\n\nIP-based limits:\n- 10 requests within 10 minutes\n- 20 requests per hour\n\nToken-based limits:\n- 5 requests within 5 minutes\n- 10 requests per hour\n\n**Note:** Rate limits may vary from these defaults in response to network conditions and service priorities.\n\n## Response\n\nThe response payload contains a CSV file named `JFrog-data-transfer-YYYYMMDD-yyyymmdd.csv`\nwhere YYYYMMDD is the value of start_date and yyyymmdd is the value of non_inclusive_end_date.\nAll timestamps in the CSV file are UTC.\n",
        "operationId": "getUsageData",
        "parameters": [
          {
            "name": "scenario",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "traffic"
              ]
            },
            "description": "The type of data requested. Currently only the value \"traffic\" is supported, \nwhich corresponds to the Data Transfer usage reports of the MyJFrog portal.\n"
          },
          {
            "name": "format",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "csv"
              ]
            },
            "description": "Output format. Currently only \"csv\" is supported."
          },
          {
            "name": "start_date",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string",
              "format": "date"
            },
            "description": "The earliest date for which data is reported (YYYY-MM-DD format). \nMust be within the last 558 days.\n"
          },
          {
            "name": "non_inclusive_end_date",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string",
              "format": "date"
            },
            "description": "The latest date for which data is reported (YYYY-MM-DD format)."
          },
          {
            "name": "partition_by",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "day",
                "month"
              ]
            },
            "description": "Granularity of data aggregation:\n- day: report average and/or peak values several times per day (date range cannot exceed 3 months)\n- month: report average and/or peak values several times per month (date range cannot exceed 12 months)\n"
          },
          {
            "name": "partition_group_limit",
            "in": "query",
            "required": true,
            "schema": {
              "type": "integer",
              "minimum": 1,
              "maximum": 1999
            },
            "description": "Number of daily or monthly data samples (valid range 1-1999)."
          },
          {
            "name": "filter_by",
            "in": "query",
            "required": false,
            "style": "deepObject",
            "explode": true,
            "schema": {
              "type": "object",
              "properties": {
                "action": {
                  "type": "string",
                  "enum": [
                    "upload",
                    "download"
                  ],
                  "description": "Filter by transfer action type. By default, unfiltered reports include both uploads and downloads."
                },
                "artifact_path": {
                  "type": "string",
                  "description": "Filter by artifact path. Date range must be 32 days or more."
                },
                "ip": {
                  "type": "string",
                  "description": "Filter by IP address. Date range must be 32 days or more."
                },
                "package_type": {
                  "type": "string",
                  "description": "Filter by package type (e.g., docker, maven, npm)."
                },
                "project": {
                  "type": "string",
                  "description": "Filter by project key."
                },
                "repo_type": {
                  "type": "string",
                  "description": "Filter by repository type."
                },
                "repository": {
                  "type": "string",
                  "description": "Filter by repository name."
                },
                "server_name": {
                  "type": "string",
                  "description": "Filter by server name (JPD name)."
                },
                "service": {
                  "type": "string",
                  "description": "Filter by service."
                },
                "username": {
                  "type": "string",
                  "description": "Filter by username."
                }
              }
            },
            "description": "Optional filter to include only records matching the specified values.\nExample: filter_by[package_type]=docker includes only docker packages.\nMultiple filters can be applied simultaneously. You can also define multiple values for the same key to broaden the filter (e.g., filter_by[server_name]=myserver1&filter_by[server_name]=myserver2).\n"
          },
          {
            "name": "group_by",
            "in": "query",
            "required": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "action",
                  "artifact_path",
                  "ip",
                  "package_type",
                  "project",
                  "repo_type",
                  "repository",
                  "server_name",
                  "service",
                  "username"
                ]
              }
            },
            "style": "form",
            "explode": true,
            "description": "Optional grouping of reported data based on the specified keys.\nExample: group_by=username groups together data records for each user account.\nMultiple grouping criteria can be specified by repeating the parameter.\nNote: artifact_path and ip grouping require date ranges of 32 days or more.\n"
          }
        ],
        "responses": {
          "200": {
            "description": "Success - CSV attached to return message",
            "content": {
              "text/csv": {
                "schema": {
                  "type": "string",
                  "description": "CSV formatted usage data file named JFrog-data-transfer-YYYYMMDD-yyyymmdd.csv"
                },
                "example": "Date,Total Data Transfer (B),Number Of Files Transferred\n2025-11-03,1073741824,150\n2025-11-04,2147483648,320\n"
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid parameters supplied"
          },
          "401": {
            "description": "Unauthorized user - Missing or invalid bearer token"
          },
          "403": {
            "description": "Forbidden:\n- User lacks the required view_usage permission\n- User not authenticated for this SaaS subscription\n"
          },
          "429": {
            "description": "Request Denied - Request rate exceeded. Too many/too frequent API requests were submitted."
          },
          "500": {
            "description": "Internal Server Error - An unexpected error occurred"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token (Only a Primary Admin can generate MyJFrog tokens)"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```